#!/bin/bash

#
# Script permettant la création de diaporama de fonds d'écrans
#
# fonctionne pour : Ubuntu LUCID LYNX 10.04
#                   Ubuntu MAVERICK MEERKAT 10.10
#
# non validé sur d'autres systèmes, écrivez moi à mon courriel si vous avez une version différente pour les résultats.
#
# Créé par : Steve Nadeau
#      Date: 10 juillet 2010
#  courriel: steve_nadeau@hotmail.com
#
# usage: diaporama.sh «secondes»
# ou «secondes» est un nombre plus grand que 0, 
# si aucun paramètre ou un nombre de 0 et moins est passé, la valeur 60 est prise par défaut.
#
#
# Installation pour Nautilus: /home/steve/.gnome2/nautilus-scripts
# Depuis Nautilus, bouton de droite sur un répertoire et sélectionner Script/diaporama.sh
#
# Paquet à installer au préalable:
# python-nautilus
#
# dans un terminal exécuter la commande suivante:
# chmod -R a+x ~/.gnome2/nautilus-scripts
#
# il se peut qu'une fermeture/ouverture de session soit nécessaire 
# pour que le sous-menu Scripts apparaisse dans Nautilus.
#
# Le diaporama créé et activé sera disponible dans le répertoire personnel diaporama sous le chemin représentant celui d'origine
# il est donc possible d'ouvrir directement le diaporama depuis le gestionnaire de fonds d'écrans.
#


echo $NAUTILUS_SCRIPT_CURRENT_URI
if [ "X$NAUTILUS_SCRIPT_CURRENT_URI" = 'X' ]; then 
#shell
	ARG=$PWD
	DUREE=60
	if [ $# -gt 0 ]; 
	  then 
	  if [ $1 -gt 0 ]; 
	    then DUREE=$1; 
	  fi;
	  else echo Usage: diaporama.sh «secondes»  ;echo durée par défaut de 60 secondes
	fi
else 
#nautilus
	ARG=$PWD/$BASH_ARGV
        DUREE=$(zenity --entry --entry-text=60 --text="Délai entre les images:")
	  if [ $DUREE -le 0 ]; 
	    then DUREE=60; 
	  fi;
fi

source_images=$ARG
dir_diapo=$HOME/diaporama$ARG
fic_diapo=$dir_diapo/diaporama.xml
mkdir -p $dir_diapo		

	echo "<background>  <starttime>    <year>2010</year>    <month>07</month>    <day>10</day>    <hour>00</hour>    <minute>00</minute>    <second>00</second>  </starttime>" >"$fic_diapo"
	find "$source_images" -name "*[.jpg|.JPG]" -type f -printf "  <static>    <duration>$DUREE.0</duration>    <file>%p</file>  </static>\n" >>"$fic_diapo"
	echo "</background>" >>"$fic_diapo"
	gconftool-2 --type string -s /desktop/gnome/background/picture_filename "$fic_diapo"


